﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace WpfValidationSample
{
    public class Person : ValidationBase
    {
        [Required(ErrorMessage="姓名不能为空。")]
        public string Name { get; set; }

        [Required(ErrorMessage="年龄不能为空。")]
        [RegularExpression(@"^\d.$",ErrorMessage="年龄必须为整数。")]
        public int? Age { get; set; }
    }
}
